org.springframework.mock.web

## Class DelegatingServletOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - javax.servlet.ServletOutputStream
    - - org.springframework.mock.web.DelegatingServletOutputStream

- All Implemented Interfaces:
    Closeable, Flushable, AutoCloseable

      public class DelegatingServletOutputStream
      extends ServletOutputStream

  Delegating implementation of `ServletOutputStream`.

  Used by `MockHttpServletResponse`; typically not directly used for testing application controllers.

  Since:
    1.0.2
  Author:
    Juergen Hoeller
  See Also:
    `MockHttpServletResponse`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelegatingServletOutputStream(OutputStream targetStream)` Create a DelegatingServletOutputStream for the given target stream.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `flush()`
    `OutputStream` | `getTargetStream()` Return the underlying target stream (never `null`).
    `boolean` | `isReady()`
    `void` | `setWriteListener(WriteListener writeListener)`
    `void` | `write(int b)`

    - ### Methods inherited from class javax.servlet.ServletOutputStream

      `print, print, print, print, print, print, print, println, println, println, println, println, println, println, println`

    - ### Methods inherited from class java.io.OutputStream

      `write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DelegatingServletOutputStream

          public DelegatingServletOutputStream(OutputStream targetStream)

      Create a DelegatingServletOutputStream for the given target stream.
      Parameters:
        `targetStream` - the target stream (never `null`)

  - ### Method Detail

    - #### getTargetStream

          public final OutputStream getTargetStream()

      Return the underlying target stream (never `null`).

    - #### write

          public void write(int b)
                     throws IOException

      Specified by:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### flush

          public void flush()
                     throws IOException

      Specified by:
        `flush` in interface `Flushable`
      Overrides:
        `flush` in class `OutputStream`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `OutputStream`
      Throws:
        `IOException`

    - #### isReady

          public boolean isReady()

      Specified by:
        `isReady` in class `ServletOutputStream`

    - #### setWriteListener

          public void setWriteListener(WriteListener writeListener)

      Specified by:
        `setWriteListener` in class `ServletOutputStream`